Package: groovy.lang

## [Java] Class IncorrectClosureArgumentsException

- groovy.lang.IncorrectClosureArgumentsException

- An exception occurred when invoking a Closure with the wrong number and/or types of arguments

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IncorrectClosureArgumentsException (Closure closure, Object arguments, Class[] expected)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getArguments()`
    `` | `Closure` | `getClosure()`
    `` | `Class[]` | `getExpected()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)

  - ### Method Detail

    - #### public Object getArguments()

    - #### public Closure getClosure()

    - #### public Class[] getExpected()